# org.springframework.web.portlet.handler

## Interfaces

- AbstractMapBasedHandlerMapping.PortletRequestMappingPredicate

## Classes

- AbstractHandlerExceptionResolver
- AbstractHandlerMapping
- AbstractMapBasedHandlerMapping
- HandlerInterceptorAdapter
- ParameterHandlerMapping
- ParameterMappingInterceptor
- PortletContentGenerator
- PortletModeHandlerMapping
- PortletModeParameterHandlerMapping
- SimpleMappingExceptionResolver
- SimplePortletHandlerAdapter
- SimplePortletPostProcessor
- UserRoleAuthorizationInterceptor
- WebRequestHandlerInterceptorAdapter

## Exceptions

- PortletRequestMethodNotSupportedException
- PortletSessionRequiredException